Page MenuHomePhabricator

Prevent redirecting an entity to itself
Closed, ResolvedPublic5 Story Points

Description

Problem:
It's possible to redirect an Item onto itself, and redirecting Lexemes to itself results in strange bugs (T214774: Redirecting a Lexeme to itself results in a corrupted Lexeme). This should not be possible.

Example:
https://test.wikidata.org/w/index.php?title=Q193394&oldid=461880

This has been broken down into 2 sub tasks

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2019, 10:15 PM
Bugreporter renamed this task from It should not be possible to redirect an entity to itself. to It should not be possible to redirect an entity to itself.Jan 26 2019, 10:16 PM
Lydia_Pintscher renamed this task from It should not be possible to redirect an entity to itself to Prevent redirecting an entity to itself.Jan 29 2019, 11:24 AM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.

Special:MergeItem or Special:MergeLexeme already check whether two entities are the same. Special:RedirectEntity does not.

Oh thank you! I misunderstood then.

Addshore closed this task as Resolved.Feb 8 2019, 9:30 AM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

Restricted Application added a project: User-Addshore. · View Herald TranscriptFeb 8 2019, 9:31 AM